> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/push-provisioning/es/implement-push-provisioning/implement-view-and-control/in-app-authentication-for-visa-ctf/unbind-a-device.md).

# Desvincular un dispositivo

El emisor puede eliminar una vinculación previamente establecida entre una tarjeta digital de comercio electrónico y un dispositivo.

Esta funcionalidad está disponible a través de `DigitalCardService` y la `unbindDevice` API.

Los siguientes ejemplos muestran cómo usar la API.

{% tabs %}
{% tab title="Android" %}

```kotlin
val digitalCardID = "" // obtenido de la lista de vinculación de dispositivos de la tarjeta digital
val bindingReference = "" // deviceIndex de la lista de vinculación de dispositivos
val reason: DigitalCardService.UnbindReason? =
    DigitalCardService.UnbindReason.USER_DECISION // opcional; null usa ISSUER_DECISION por defecto

d1Task.digitalCardService().unbindDevice(
    digitalCardID,
    bindingReference,
    reason,
    object : D1Task.Callback<Void> {
        override fun onSuccess(data: Void?) {
            // Gestionar el éxito.
        }

        override fun onError(e: D1Exception) {
            // Gestionar el error.
        }
    }
)
```

```java
String digitalCardID = ""; // obtenido de la lista de vinculación de dispositivos de la tarjeta digital
String bindingReference = ""; // deviceIndex de la lista de vinculación de dispositivos
DigitalCardService.UnbindReason reason =
        DigitalCardService.UnbindReason.USER_DECISION; // opcional; null usa ISSUER_DECISION por defecto

d1Task.digitalCardService().unbindDevice(
        digitalCardID,
        bindingReference,
        reason,
        new D1Task.Callback<Void>() {
            @Override
            public void onSuccess(Void data) {
                // Gestionar el éxito.
            }

            @Override
            public void onError(@NonNull D1Exception exception) {
                // Gestionar el error.
            }
        });
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/push-provisioning/es/implement-push-provisioning/implement-view-and-control/in-app-authentication-for-visa-ctf/unbind-a-device.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
